%define laz_ver	2.2.0
# Increment when rebuilding without upgrading lazarus version.
%define snaprel	1

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qt5pas
# "2.6" comes from Qt5Pas.pro but versioning is all over the place...
Version:	2.6.lazarus%{laz_ver}
Release:	%mkrel 1
Summary:	Qt5 bindings for pascal
License:	LGPLv3+
Group:		System/Libraries
Url:		https://gitlab.com/freepascal.org/lazarus/lazarus/-/tree/main/lcl/interfaces/qt5/cbindings
Source0:	https://download.sourceforge.net/lazarus/lazarus-%{laz_ver}-0.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
Qt5 bindings for pascal from Lazarus.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Free Pascal Qt5 binding
Group:		System/Libraries

%description -n	%{libname}
The Free Pascal Qt5 binding that allows Free Pascal
to interface with the C++ Library Qt.

%files -n %{libname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so

#----------------------------------------------------------------------------

%prep
%setup -qn lazarus

%build
pushd lcl/interfaces/qt5/cbindings/
	%qmake_qt5
	%make_build
popd

%install
pushd lcl/interfaces/qt5/cbindings/
	%make_install INSTALL_ROOT=%{buildroot}
popd


%changelog
* Fri Mar 25 2022 akien <akien> 2.6.lazarus2.2.0-1.mga9
+ Revision: 1825812
- New version from lazarus 2.2.0-0
- Include lazarus version in Version tag

* Mon Sep 13 2021 wally <wally> 2.6-5.mga9
+ Revision: 1745398
- build from lazarus 2.0.12

* Thu Dec 17 2020 umeabot <umeabot> 2.6-4.mga8
+ Revision: 1659563
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.6-3.mga8
+ Revision: 1525010
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1384308
- Qt5 Rebuild

* Mon Oct 29 2018 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1326472
- initial package qt5pas

